package org.xbib.content.rdf.io.rdfxml;

import org.xbib.content.rdf.RdfContentParams;
import org.xbib.content.resource.IRINamespaceContext;

public class RdfXmlContentParams implements RdfContentParams {

    private final IRINamespaceContext namespaceContext;

    public RdfXmlContentParams(IRINamespaceContext namespaceContext) {
        this.namespaceContext = namespaceContext;
    }

    @Override
    public IRINamespaceContext getNamespaceContext() {
        return namespaceContext;
    }
}
