package org.xbib.content.rdf.io.xml;

import org.xbib.content.rdf.RdfContentParams;
import org.xbib.content.resource.IRINamespaceContext;

public class XmlContentParams implements RdfContentParams {

    private final IRINamespaceContext namespaceContext;

    public XmlContentParams(IRINamespaceContext namespaceContext) {
        this.namespaceContext = namespaceContext;
    }

    @Override
    public IRINamespaceContext getNamespaceContext() {
        return namespaceContext;
    }

}
